%define qtdir qt-3.3
%define po_package startcom-artwork

Summary: Artwork for StartCom default look-and-feel
Name: startcom-artwork
Version: 5.0.9
Release: 4%{?dist} 
URL: http://linux.startcom.org/
Source0: %{name}-%{version}.tar.gz
Source1: post-install-fixup.sh
Source2: post-install-sources.tar.gz
Source3: icon-coverage-linker.py
Source4: coverage-tool-links.xml
Source5: SEL-kdm-theme-1.1.tar.bz2
Source6: folder-home-32x32.png
Group: User Interface/Desktops
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
Conflicts: qt < 1:3.0.4-11
Conflicts: gtk-engines < 0.11-13
Conflicts: gnome-session <= 2.0.1-3
Conflicts: kdebase <= 6:3.0.3-1
Conflicts: gdm <= 2.6.0.8-5
Conflicts: startcom-menus < 5.5.5
# we don't want to require gtk/qt
Autoreq: 0

BuildRequires: gtk2-devel >= 2.9.0
#BuildRequires: qt-devel >= 1:3.3.4-10
BuildRequires: kdebase-devel >= 3.2.0
BuildRequires: xorg-x11-apps
BuildRequires: icon-slicer >= 0.3-6
# for intltool to work
BuildRequires: perl-XML-Parser
# for translations to work
BuildRequires: gettext
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: intltool
BuildRequires: python

# for flip_icon
BuildRequires: netpbm-progs

# for splash screens, and a logo in gdm theme
Requires: gtk2-engines
Requires: system-logos
Conflicts: fedora-logos < 6.0.2
Conflicts: startcom-logos < 4.9.8
# for gtk-update-icon-cache
Requires(post): gtk2 >= 2.9.0

# Required for mcopidl in configure, but we don't use that...
BuildRequires: arts-devel

%description
startcom-artwork contains the themes and icons that make up the StartCom default 
look and feel.

%prep
%setup -q
mkdir post-install
(cd post-install; tar xzvf %{SOURCE2})

autoreconf
%build

## this is apparently how Qt finds itself.
## they need pkg-config gospel.
unset QTDIR
echo "Trying to source qt.sh"
. /etc/profile.d/qt.sh
echo "QTDIR is $QTDIR"
export QTDIR

export LANG=en_US.ISO-8859-1 ## workaround for intltool sucking in UTF-8
%configure

export LANG=en_US.ISO-8859-1 ## workaround for intltool sucking in UTF-8
make

%install
rm -rf $RPM_BUILD_ROOT
export LANG=en_US.ISO-8859-1 ## workaround for intltool sucking in UTF-8
%makeinstall

# Run post-install fixup script
DATADIR=$RPM_BUILD_ROOT%{_datadir} %{SOURCE1}

rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/*/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk/themes/engines/*.la

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gtk-2.0
install -m 0644 gtkrc2-default $RPM_BUILD_ROOT%{_sysconfdir}/gtk-2.0/gtkrc

%find_lang %{po_package}

%{SOURCE3} $RPM_BUILD_ROOT/usr/share/icons/Bluecurve %{SOURCE4}

#symlink some icons so we can handle some of the new added icons
#this should be added to our upstream sources
pushd  $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/48x48/apps

# link upstream icon names to the startcom ones in bluecurve
# FIXME: the ones with -sf need to be removed upstream
for d in 48x48 32x32 24x24 16x16; do
  pushd $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/$d/apps
  ln -s icon-db-user.png openofficeorg-base.png
  ln -s startcom-spreadsheet.png openofficeorg-calc.png
  ln -s icon-vector-editor.png openofficeorg-draw.png
  ln -s startcom-presentations.png openofficeorg-impress.png
  ln -s icon-calculator.png openofficeorg-math.png
  ln -s startcom-word-processor.png openofficeorg-writer.png
  ln -s startcom-accessories.png gnome-util.png
  ln -sf startcom-programming.png gnome-devel.png
  ln -sf startcom-games.png gnome-joystick.png
  ln -s startcom-graphics.png gnome-graphics.png
  ln -sf startcom-internet.png gnome-globe.png
  ln -sf startcom-sound_video.png gnome-multimedia.png
  ln -sf startcom-office.png gnome-applications.png
  ln -sf startcom-preferences.png gnome-settings.png
  ln -sf startcom-system_settings.png gnome-system.png
  popd
done
popd

pushd $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/48x48/filesystems
ln -s ../mimetypes/fileshare.png gnome-fs-ftp.png
popd

# add missing folder-home-32x32.png
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/32x32/mimetypes/folder-home.png

# link upstream icon names to the startcom ones in bluecurve
pushd $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/
  for s in 16x16 22x22 32x32 48x48 128x128; do
    pushd $s/apps/ 2> /dev/null || continue
      ln -sf startcom-office.png package_wordprocessing.png
      ln -sf startcom-internet.png package_network.png
      ln -sf startcom-accessories.png package_applications.png
      ln -sf startcom-graphics.png package_graphics.png
      ln -sf startcom-games.png package_games.png
      ln -sf startcom-sound_video.png multimedia.png
      ln -sf startcom-preferences.png package_settings.png
      ln -sf startcom-programming.png package_development.png
      ln -sf startcom-system_tools.png package_utilities.png
      ln -sf startcom-system_settings.png package_system.png
      ln -sf startcom-tools.png package_utilities.png
      # app icons
      ln -sf startcom-email.png kmail.png
      ln -sf startcom-web-browser.png konqueror.png
      ln -sf startcom-filemanager.png kfm.png
      ln -sf ../mimetypes/folder-home.png kfm_home.png
      ln -sf startcom-logviewer.png kviewshell.png
      ln -sf system-logviewer.png logviewer.png
      # system settings
      ln -sf system-config-soundcard.png multimedia.png
    popd
  done
popd

function flip_icon () {
  pngtopnm $1.png > $1.rgb
  pngtopnm -alpha $1.png > $1.alpha
  pamstack $1.rgb $1.alpha > $1.pam
  pamflip -lr $1.pam > $2.pam
  pamrgbatopng $2.pam > $2.png
  rm -f $1.rgb $1.alpha $1.pam $2.pam
}

function ln_icon () {
  if [ -f $1.png ]; then
    ln -s $1.png $2.png
  fi
  if [ -f $1.icon ]; then
    ln -s $1.icon $2.icon
  fi
  if [ -f $1.svg ]; then
    ln -s $1.svg $2.svg
  fi
}

# link gtk stock icon names to bluecurve ones
pushd $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/
  for s in 16x16 24x24 36x36 48x48; do
    if pushd $s/filesystems/ >&/dev/null; then
      ln_icon gnome-fs-directory gtk-directory
      ln_icon gnome-fs-network gtk-network
      popd
    fi
    if pushd $s/mimetypes/ >&/dev/null; then
      ln_icon file-container gtk-file
      ln_icon harddrive gtk-harddisk
      popd
    fi
    if pushd $s/stock/ >&/dev/null; then
      ln_icon stock-about gtk-about
      ln_icon stock-connect gtk-connect
      ln_icon stock-disconnect gtk-disconnect
      ln_icon stock-edit gtk-edit
      ln_icon stock-media-ffwd gtk-media-forward-ltr
      ln_icon stock-media-rewind gtk-media-forward-rtl
      ln_icon stock-media-next gtk-media-next-ltr
      ln_icon stock-media-prev gtk-media-next-rtl
      ln_icon stock-media-pause gtk-media-pause
      ln_icon stock-media-play gtk-media-play-ltr
      ln_icon stock-media-prev gtk-media-previous-ltr
      ln_icon stock-media-next gtk-media-previous-rtl
      ln_icon stock-media-rec gtk-media-record
      ln_icon stock-media-rewind gtk-media-rewind-ltr
      ln_icon stock-media-ffwd gtk-media-rewind-rtl
      ln_icon stock-media-stop gtk-media-stop
      ln_icon stock-undo gtk-undo-ltr
      ln_icon stock-redo gtk-redo-ltr
      ln_icon stock-font gtk-select-font
      flip_icon stock-media-play gtk-media-play-rtl
      flip_icon stock-undo gtk-undo-rtl
      flip_icon stock-redo gtk-redo-rtl
      popd
    fi
  done
  pushd 48x48/stock/ >&/dev/null || continue
    ln_icon stock-lockscreen gtk-dialog-authentication
  popd
popd


# link icon-naming spec names to bluecurve ones
pushd $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/
  for s in 16x16 20x20 24x24 32x32 36x36 48x48 64x64 96x96; do
    if pushd $s/filesystems/ >&/dev/null; then
      ln_icon gnome-fs-trash-empty user-trash
      ln_icon gnome-fs-trash-full user-trash-full
      popd
    fi
    if pushd $s/stock/ >&/dev/null; then
      ln_icon stock-properties document-properties
      ln_icon stock-find-and-replace edit-find-and-replace
      ln_icon stock-undo edit-undo
      ln_icon stock-justify-center format-justify-center
      ln_icon stock-justify-fill format-justify-fill
      ln_icon stock-justify-left format-justify-left
      ln_icon stock-justify-right format-justify-right
      ln_icon stock-strikethrough format-text-strikethrough
      ln_icon stock-underline format-text-underline
      ln_icon stock-goto-bottom go-bottom
      ln_icon stock-go-down go-down
      ln_icon stock-goto-first go-first
      ln_icon stock-goto-last go-last
      ln_icon stock-jump-to go-jump
      ln_icon stock-go-forward go-next
      ln_icon stock-go-back go-previous
      ln_icon stock-go-up go-up
      ln_icon stock-goto-top go-top
      ln_icon stock-zoom-fit zoom-best-fit
      ln_icon stock-quit system-log-out
      ln_icon stock-quit application-exit
      ln_icon stock-apply dialog-ok
      ln_icon stock-close dialog-close
      ln_icon stock-cancel dialog-cancel
      ln_icon stock-bookmark-page bookmark-new
      ln_icon stock-new document-new
      ln_icon stock-open document-open
      ln_icon stock-open document-open-recent
      ln_icon stock-print document-print
      ln_icon stock-print-preview document-print-preview
      ln_icon stock-save document-save
      ln_icon stock-save-as document-save-as
      ln_icon stock-copy edit-copy
      ln_icon stock-cut edit-cut
      ln_icon stock-delete edit-delete
      ln_icon stock-paste edit-paste
      ln_icon stock-bold format-text-bold
      ln_icon stock-italic format-text-italic
      ln_icon stock-mic audio-input-microphone
      ln_icon stock-about help-about
      ln_icon stock-book help-contents
      ln_icon stock-missing-image image-missing
      ln_icon stock-media-pause media-playback-pause
      ln_icon stock-media-play media-playback-start
      ln_icon stock-media-stop media-playback-stop
      ln_icon stock-media-rec media-record
      ln_icon stock-media-rewind media-seek-backward
      ln_icon stock-media-ffwd media-seek-forward
      ln_icon stock-media-prev media-skip-backward
      ln_icon stock-media-next media-skip-forward
      popd
    fi
    if pushd $s/mimetypes/ >&/dev/null; then
      ln_icon harddrive drive-harddisk
      ln_icon cd drive-removable-media
      ln_icon cd drive-optical
      ln_icon floppy media-floppy
      ln_icon cd media-optical
      ln_icon dvd media-flash
      ln_icon folder-home user-home
      ln_icon file-font font-x-generic
      ln_icon file-gfx image-x-generic
      ln_icon file-video video-x-generic
      ln_icon file text-x-generic
      ln_icon file text-x-generic-template
      ln_icon file-executable text-x-script
      ln_icon file-launcher application-x-executable
      ln_icon file-wordprocessor x-office-document
      ln_icon file-presentation x-office-presentation
      ln_icon file-spreadsheet x-office-spreadsheet
      # FIXME
      ln_icon file-wordprocessor x-office-calendar
      ln_icon file-wordprocessor x-office-address-book
      popd
    fi
    if pushd $s/apps/ >&/dev/null; then
      ln_icon icon-calculator accessories-calculator
      ln_icon icon-character-map accessories-character-map
      ln_icon icon-documentation accessories-dictionary
      ln_icon icon-notepad accessories-text-editor
      ln_icon icon-accessories applications-accessories
      ln_icon icon-development applications-development
      ln_icon icon-games applications-games
      ln_icon icon-help help-browser
      ln_icon icon-help system-help
      ln_icon icon-gfx applications-graphics
      ln_icon icon-network applications-internet
      ln_icon icon-media applications-multimedia
      ln_icon icon-office applications-office
      ln_icon icon-system-configuration applications-system
      ln_icon icon-computer computer
      ln_icon icon-system-settings preferences-desktop
      ln_icon icon-accessibility preferences-desktop-accessibility
      ln_icon icon-fonts preferences-desktop-font
      ln_icon icon-keyboard preferences-desktop-keyboard
      ln_icon icon-languages preferences-desktop-locale
      ln_icon icon-sound preferences-desktop-multimedia
      # preferences-desktop-peripherals
      ln_icon icon-user preferences-desktop-personal
      # preferences-desktop-screensaver
      ln_icon icon-themes preferences-desktop-theme
      ln_icon icon-background-picture preferences-desktop-wallpaper
      ln_icon icon-system-configuration preferences-system
      ln_icon icon-network preferences-system-network
      ln_icon gpm-primary-80 battery
      ln_icon gpm-primary-20 battery-caution
      ln_icon gpm-primary-10 battery-low
      ln_icon camera camera-photo
      ln_icon icon-games input-gaming
      ln_icon icon-keyboard input-keyboard
      ln_icon icon-mouse input-mouse
      popd
    fi
    if pushd $s/mimetypes/ >&/dev/null; then
      ln_icon stock_insert_image insert-image
      ln_icon stock_insert_url insert-link
      ln_icon stock_insert_ole-object insert-object
      popd
    fi
  done
  # some 48 only icons
  if pushd 48x48/stock/ >&/dev/null; then
    ln_icon stock-lockscreen dialog-password
    ln_icon dialog-info dialog-information
  fi
popd

# make the themed start-here icon point to icons from startcom-logos
rm -f */mimetypes/start-here.png
for s in 16 20 22 24 32 36 48 64 96; do
  mkdir -p ${s}x${s}/mimetypes
  ln -s /usr/share/pixmaps/startcom/shadowman-transparent-${s}.png ${s}x${s}/mimetypes/start-here.png
done

# kdm theme for RHEL5
tar jxf %{SOURCE5} -C $RPM_BUILD_ROOT
rm -fr $RPM_BUILD_ROOT%{_datadir}/apps/kdm/themes/FedoraDNA

# make kmenu icon point to shadowman-transparent icons
# for s in 16 20 22 24 32 36 48 64 96; do
#  mkdir -p ${s}x${s}/apps
#  ln -s /usr/share/pixmaps/startcom/shadowman-transparent-${s}.png ${s}x${s}/apps/kmenu.png
# done

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  for dir in /usr/share/icons/*; do
    if test -d "$dir"; then
      if test -f "$dir/index.theme"; then 
        /usr/bin/gtk-update-icon-cache --quiet "$dir" || :
      fi
    fi
  done
fi

%files -f %{po_package}.lang
%defattr(-,root,root)
%doc NEWS ChangeLog README COPYING

%{_datadir}/themes/*
%{_datadir}/gdm/themes/*
%{_datadir}/icons/*
%{_datadir}/apps/*
%{_datadir}/pixmaps/*
%{_datadir}/xmms/*
%{_libdir}/kde3/*
%{_libdir}/gtk-2.0/*
%{_libdir}/%{qtdir}
%{_datadir}/apps/kdm/themes/*
%dir %{_sysconfdir}/gtk-2.0
%config %{_sysconfdir}/gtk-2.0/gtkrc

%changelog
* Sun Apr 4 2010 Eddy Nigg <eddy_nigg.org>
- Rebuild for StartCom Linux 5.0.x

* Thu Jan 07 2010 Ray Strode <rstrode@redhat.com> - 5.0.9-2
Resolves: #485978
- Don't ship duplicate copies of logos in kdm theme

* Thu Dec  7 2006 David Zeuthen <davidz@redhat.com> - 5.0.9-1
- New tarball release with Bluecurve gpm icons from Diana Fong
- Resolves: #217401

* Mon Dec  4 2006 Ray Strode <rstrode@redhat.com> - 5.0.5-27
- Resolves: #218133 
- Make the halt and reboot buttons lock-downable

* Mon Nov 20 2006 Than Ngo <than@redhat.com> - 5.0.5-26
- add missing folder-home-32x32.png (#215785)

* Fri Nov 17 2006 Than Ngo <than@redhat.com> - 5.0.5-25
- make sure kmenu uses the right icons (#212990)

* Thu Nov  9 2006 Matthias Clasen <mclasen@redhat.com> 5.0.5-24
- Make sure the trash applet uses the right icon  (#214810)

* Sat Nov  4 2006 Matthias Clasen <mclasen@redhat.com> 5.0.5-23 
- Add some gnome-power-manager icons (#212874)

* Mon Oct 30 2006 Than Ngo <than@redhat.com> 5.0.5-22.el5
- add missing default theme for kdm #212138

* Wed Oct 25 2006 David Zeuthen <davidz@redhat.com> 5.0.5-21.el5
- Ensure target dirs are present for start-here symlink generation

* Wed Oct 25 2006 David Zeuthen <davidz@redhat.com> 5.0.5-20.el5
- Fix start-here symlink generation

* Wed Oct 25 2006 David Zeuthen <davidz@redhat.com> 5.0.5-19.el5
- Add BuildRequires netpbm-progs for flip_icon

* Wed Oct 25 2006 David Zeuthen <davidz@redhat.com> 5.0.5-18.el5
- Make Bluecurve's start-here icons point to icons provided by
  new redhat-logos package (#211837, #212015)

* Sat Oct 14 2006 Matthias Clasen <mclasen@redhat.com> 5.0.5-17.el5
- Improve coverage of Bluecurve

* Tue Oct 10 2006 Matthias Clasen <mclasen@redhat.com> - 5.0.5-16.el5
- Replace the language icon by a less culturally insensitive
  icon (#158839)

* Tue Oct 10 2006 Matthias Clasen <mclasen@redhat.com> - 5.0.5-15.el5
- Remove a broken, unused image file from the gdm theme. 

* Thu Oct  5 2006 Matthias Clasen <mclasen@redhat.com> - 5.0.5-14.el5
- try to protect against multilib pitfalls in %%post

* Wed Oct  4 2006 Matthias Clasen <mclasen@redhat.com> - 5.0.5-13.el5
- try harder to not fail in %%post (#203791)

* Wed Oct  4 2006 Ray Strode <rstrode@redhat.com> - 5.0.5-12.el5
- use more language neutral language icon (bug 158839)

* Wed Oct  4 2006 Matthias Clasen <mclasen@redhat.com> - 5.0.5-11.el5
- Don't include Fedora themes (#202143)

* Tue Sep 26 2006 Matthias Clasen <mclasen@redhat.com> - 5.0.5-10.el5
- Require system-logos, not redhat-logos
- Require gtk2 for %%post (#203791)

* Wed Sep 20 2006 Ray Strode <rstrode@redhat.com> - 5.0.5-9.el5
- rebuild

* Wed Sep 20 2006 Ray Strode <rstrode@redhat.com> - 5.0.5-8.el5
- RHEL theme accidentally got dropped in 5.0.5-7.el5, adding
  back

* Wed Sep 20 2006 Ray Strode <rstrode@redhat.com> - 5.0.5-7.el5
- Add new theme, design from Diana Fong and marketing

* Tue Sep 19 2006 Ray Strode <rstrode@redhat.com> - 5.0.5-6.el5
- RHEL theme accidentally got dropped in 5.0.5-5.el5, adding
  back

* Mon Sep 18 2006 Ray Strode <rstrode@redhat.com> - 5.0.5-5.el5
- update username/password prompt to not wrap early 

* Fri Sep 15 2006 Ray Strode <rstrode@redhat.com> - 5.0.5-4.el5
- RHEL theme accidentally got dropped in 5.0.5-3.el5, adding
  back

* Thu Sep 14 2006 Ray Strode <rstrode@redhat.com> - 5.0.5-3.el5
- fix up RHEL theme again to work well with smart card
  prompts (somehow the changes I made a few weeks ago are gone)

* Thu Sep 14 2006 Ray Strode <rstrode@redhat.com> - 5.0.5-2.el5
- merge back from devel branch

* Tue Sep 12 2006 John (J5) Palmieri <johnp@redhat.com> - 5.0.5-1
- use the gtk icon coverage tool developed for echo to create symlinks
  for icons which changed names because of the new naming spec
- Update app sheet with Blucurve NetworkManager and power-manager icons

* Thu Sep  7 2006 Matthias Clasen <mclasen@redhat.com> - 5.0.4-2.fc6
- Fix a typo in the new gdm theme

* Thu Sep  7 2006 Matthias Clasen <mclasen@redhat.com> - 5.0.4-1.fc6
- Add new gdm theme

* Mon Sep  4 2006 Matthias Clasen <mclasen@redhat.com> - 5.0.3-1.fc6
- Rename the default gtk theme back

* Fri Aug 18 2006 Ray Strode <rstrode@redhat.com> - 5.0.2-1.el5
- merge back from devel branch
- remove "Bitstream Vera" from fonts in RHEL theme
- remove Bluecurve and FedoraBubbles themes

* Thu Aug 17 2006 Matthias Clasen <mclasen@redhat.com> - 5.0.2-1.fc6
- Change the default gtk theme

* Tue Aug 15 2006 Matthias Clasen <mclasen@redhat.com> - 5.0.1-1.fc6
- Fix gnome-spinner-rest.png size

* Sat Aug 12 2006 Matthias Clasen <mclasen@redhat.com> - 5.0.0-2.fc6
- Link system-logviewer.png to logviewer.png

* Fri Aug 11 2006 Ray Strode <rstrode@redhat.com> - 5.0.0-1
- woops 5 is less than 245.
- update to 5.0.0

* Fri Aug 11 2006 Ray Strode <rstrode@redhat.com> - 0.5.0-1
- update to 0.5.0
- add requires on gtk-engines (bug 202245)

* Wed Jul 26 2006 Matthias Clasen <mclasen@redhat.com> - 0.245-1
- Use default Sans font in gdm login screens

* Tue Jul 25 2006 Matthias Clasen <mclasen@redhat.com> - 0.244-1
- Fix themeing of menuitems in Bluecurve (#180181)

* Fri Jul 21 2006 John (J5) Palmieri <johnp@redhat.com> - 0.243-3
- Remove gtk1.0 dependencies 

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.243-2.1
- rebuild

* Thu Jun  8 2006 Jesse Keating <jkeating@redhat.com> 0.243-2
- Add missing br gettext

* Fri May  5 2006 Matthias Clasen <mclasen@redhat.com> 0.243-1
- Rebuild against new GTK+
- Require GTK+ 2.9.0

* Thu Mar 30 2006 Than Ngo <than@redhat.com> 0.242-1
- fix cosmetic bug in kwin decoration

* Tue Feb 28 2006 Matthias Clasen <mclasen@redhat.com> - 0.241-1
- New artwork by Diana Fong

* Wed Feb 22 2006 Matthias Clasen <mclasen@redhat.com> - 0.240-1
- Include Serbian translations

* Tue Feb 21 2006 Than Ngo <than@redhat.com> 0.239-2
- link KDE upstream icon names to the redhat ones in bluecurve

* Fri Feb 17 2006 Matthias Clasen <mclasen@redhat.com> - 0.239-1
- Make the login screen adapt to label width

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.238-1.1
- bump again for double-long bug on ppc(64)

* Thu Feb  9 2006 Matthias Clasen <mclasen@redhat.com> 0.238-1
- Add left-handed cursor themes

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.237-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Feb  5 2006 Matthias Clasen <mclasen@redhat.com> 0.237-1
- Fix Bluecurve-inverse wait cursor

* Mon Jan 30 2006 Ray Strode <rstrode@redhat.com> 0.235-2
- create symlinks from redhat artwork to gnome overrides

* Tue Jan 24 2006 Christopher Aillon <caillon@redhat.com> 0.235-1
- Update to 0.235 to get new language icon in GDM/KDM

* Tue Jan 17 2006 Ray Strode <rstrode@redhat.com> 0.234-1
- update to 0.234 to get new gdm theme designed by 
  Diana Fong <dfong@redhat.com> and implemented by
  Màirín Duffy <duffy@redhat.com> and me

* Fri Jan 13 2006 Christopher Aillon <caillon@redhat.com> 0.131-3
- BuildRequire xorg-x11-apps, as xcursorgen moved there.
  This should really really fix the cursors issue.

* Tue Jan 03 2006 John (J5) Palmieri <johnp@redhat.com> 0.131-2
- rebuild again to fix problem with cursors not showing up

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Nov 10 2005 John (J5) Palmieri <johnp@redhat.com> 0.131-1
- Upstream fix for volume icons

* Thu Nov 10 2005 John (J5) Palmieri <johnp@redhat.com> 0.130-1
- Roll a bunch of new icons into the upstream source tarball

* Thu Nov 03 2005 John (J5) Palmieri <johnp@redhat.com> 0.129-4
- Add fedora logo instead of the redhat hat

* Thu Oct 20 2005 Ray Strode <rstrode@redhat.com> 0.129-3
- some of the throbber patch got upstreamed apparently,
  patch it out

* Mon Oct 17 2005 Ray Strode <rstrode@redhat.com> 0.129-2
- remove throbber patch for now

* Wed Oct 12 2005 Matthias Clasen <mclasen@redhat.com> 0.129-1
- Fix text color in combo boxes.  (#167086)

* Fri Sep 30 2005 Matthias Clasen <mclasen@redhat.com> 0.128-2
- Only call gtk-update-icon-cache for directories which
  have an index.theme file. (#16795)

* Mon Aug 23 2005 John (J5) Palmieri <johnp@redhat.com> 0.128-1
- upgrade to 0.128
- Adds entrys to the index.theme to decribe the newly added
  directories

* Mon Aug 22 2005 John (J5) Palmieri <johnp@redhat.com> 0.127-1
- upgrade to 0.127
- Adds new optical disc device icons (Bug #165750)
- Adds directories to index.theme for caching (Bug #166272)
- Changes busy cursor to point to the left_ptr_watch cursor

* Thu Aug 09 2005 John (J5) Palmieri <johnp@redhat.com> 0.126-1
- upgrade to 0.126 which adds diana's new dnd cursors and fixes
  the jittering animated cursor bug

* Thu Jul 07 2005 John (J5) Palmieri <johnp@redhat.com> 0.125-1
- upgrade to 0.125 which adds diana's new icons and cursors

* Fri Jun 10 2005 John (J5) Palmieri <johnp@redhat.com> 0.124-2
- readd a throbbers patch because the uptream tarball missed the 
  Makefile changes

* Thu Jun 09 2005 Than Ngo <than@redhat.com> 0.124-1
- fix ComboBox_Popup issue in qt-theme #157809
- drop redhat-artwork-0.122-throbbers.patch, it's in new upstream

* Sun May 22 2005 John (J5) Palmieri <johnp@redhat.com> 0.122-10
- Add bluecurve weather icons for the weather applet

* Tue May 10 2005 John (J5) Palmieri <johnp@redhat.com> 0.122-9
- Add new stock volume icons

* Fri May 06 2005 John (J5) Palmieri <johnp@redhat.com> 0.122-8
- OpenOffice icon names change to not reflect versions anymore
  Change symlinks to reflect this

* Thu May 05 2005 John (J5) Palmieri <johnp@redhat.com> 0.122-7
- Add patch that changes the ythickness of the bluecurve-menu-item
  style in the bluecurve theme so the menu applet does not expand
  the default panel size which causes launchers icons in the panel 
  to be scaled and become blured (Bug #146980)

* Tue May 03 2005 John (J5) Palmieri <johnp@redhat.com> 0.122-6
- Add a symlink for openoffice icons so we have matching
  bluecurve icons instead of the ugly upstream ones

* Tue May 03 2005 John (J5) Palmieri <johnp@redhat.com> 0.122-5
- Add a symlink for ftp share icons

* Mon Apr 25 2005 Matthias Clasen <mclasen@redhat.com> 0.122-4
- Don't symlink the Bluecurve gdm theme to "Default", since
  that shows up as a duplicate "Bluecurve" entry in the
  graphical setup thingie. (#138653)

* Wed Apr 20 2005 Matthias Clasen <mclasen@redhat.com> 0.122-3
- add a throbber to the login screen for early-login 
  (these changes are also committed upstream, but I couldn't
   get redhat-artwork to distcheck, therefore I patched them
   in here; throbbers.tar.bz2 and the throbbers patch should
   be removed with the next upstream redhat-artwork tarball)
* Wed Apr 13 2005 John (J5) Palmieri <johnp@redhat.com> 0.122-2
- add a symlink from gnome-main-menu.png to gnome-logo-icon-transparent.png
  so that we have the hat back on the application menu applet

* Fri Apr 01 2005 Than Ngo <than@redhat.com> 0.122-1
- add Bluecurve theme for kdm

* Wed Mar 30 2005 Matthias Clasen <mclasen@redhat.com> 0.121-2
- Make Clearlooks the default theme

* Wed Mar 23 2005 Than Ngo <than@redhat.com> 0.121-1
- 0.121
- Add qt Bluecurve fixes and improvements from Peter Backlund

* Sun Mar  6 2005 Matthias Clasen <mclasen@redhat.com> 0.120-8
- Fix %%post script (#146560)

* Fri Mar 04 2005 Than Ngo <than@redhat.com> 0.120-7
- rebuild against new gcc-4.0.0-0.31

* Thu Mar  3 2005 Alex Larsson <alexl@redhat.com> 0.120-6
- Rebuild

* Sat Feb  5 2005 Matthias Clasen <mclasen@redhat.com> - 0.120-5
- Silence %%post

* Fri Jan 27 2005 Matthias Clasen <mclasen@redhat.com> - 0.120-4
- Prereq gtk2 since we use gtk-update-icon-cache in %%post

* Fri Jan 27 2005 Matthias Clasen <mclasen@redhat.com> - 0.120-3
- Update icon caches in %%post

* Wed Jan  5 2005 Jeremy Katz <katzj@redhat.com> - 0.120-2
- rebuild so that gtk engine ends up in the right place for gtk+ 2.6.x

* Thu Nov 11 2004 Alexander Larsson <alexl@redhat.com> - 0.120-1.2
- Fix broken bluecurve icons (#138544)

* Tue Nov 02 2004 Than Ngo <than@redhat.com> 0.119-1.2
- devel build

- * Tue Nov 02 2004 Than Ngo <than@redhat.com> 0.119-1.1E
- set XIMInputStyle=On The Spot

* Tue Nov  2 2004 Alexander Larsson <alexl@redhat.com> - 0.118-1.2
- devel build

* Tue Nov  2 2004 Alexander Larsson <alexl@redhat.com> - 0.118-1.1E
- Updated to the new real media icons from diana

* Mon Nov  1 2004 Alexander Larsson <alexl@redhat.com> - 0.117-1.3E
- Move redhat logo to redhat-logos (#137593)

* Mon Oct 25 2004 Alexander Larsson <alexl@redhat.com> - 0.117-1.2E
- New RHEL build, it seems the last one didn't contain any RHEL bits

* Tue Oct 19 2004 Than Ngo <than@redhat.com> 0.117-1.1E
- RHEL build

* Tue Oct 19 2004 Than Ngo <than@redhat.com> 0.117-1
- Add missing 32x32 icons, #135797
- Remove unused kmenu icon

* Mon Oct 18 2004 Alexander Larsson <alexl@redhat.com> - 0.116-1.1E
- RHEL build

* Mon Oct 18 2004 Alexander Larsson <alexl@redhat.com> - 0.116-1
- Add all translations to ALL_LINGUAS
- Fix .au and tiff icon names.

* Thu Oct 14 2004 Alexander Larsson <alexl@redhat.com> - 0.115-1.1E
- RHEL build

* Thu Oct 14 2004 Alexander Larsson <alexl@redhat.com> - 0.115-1
- Fix logout icon (#135594)
- Make dvd icon not imply movie

* Wed Oct 13 2004 Alexander Larsson <alexl@redhat.com> - 0.114-1.1E
- RHEL build

* Wed Oct 13 2004 Alexander Larsson <alexl@redhat.com> - 0.114-1
- Add new media icons
- fix sb_up_arrow cursor (#128963)

* Tue Oct 12 2004 Alexander Larsson <alexl@redhat.com> - 0.113-1.1E
- RHEL build

* Tue Oct 12 2004 Alexander Larsson <alexl@redhat.com> - 0.113-1
- Fix medium volume icon

* Thu Oct  7 2004 Alexander Larsson <alexl@redhat.com> - 0.112-2.1E
- RHEL build with new gdm theme

* Thu Oct  7 2004 Alexander Larsson <alexl@redhat.com> - 0.112-2
- Update the post-install-fixups for RHEL specific content

* Wed Oct 06 2004 Than Ngo <than@redhat.com> 0.112-1.1E
- RHEL build

* Wed Oct 06 2004 Than Ngo <than@redhat.com> 0.112-1
- fix PE_Splitter bug

* Wed Oct  6 2004 Alexander Larsson <alexl@redhat.com> - 0.111-1.1E
- RHEL build

* Wed Oct  6 2004 Alexander Larsson <alexl@redhat.com> - 0.111-1
- fix various icon issues
- fix dangling symlinks
- build-require perl-XML-Parser

* Mon Oct  4 2004 Alexander Larsson <alexl@redhat.com> - 0.110-1.1E
- RHEL build

* Mon Oct  4 2004 Alexander Larsson <alexl@redhat.com> - 0.110-1
- Fix gnome folder icons (#134460)

* Fri Oct  1 2004 Jeremy Katz <katzj@redhat.com> - 0.109-1.1E
- RHEL rebuild

* Fri Oct  1 2004 Jeremy Katz <katzj@redhat.com> - 0.109-1
- Fix icon theme name

* Thu Sep 30 2004 Than Ngo <than@redhat.com> 0.108-1.1E
- RHEL rebuild

* Thu Sep 30 2004 Than Ngo <than@redhat.com> 0.108-1
- Add missing desktop/folder_locked/folder symlink
- Set SmallSizes=16 and SmallDefault=16 for KDE

* Thu Sep 30 2004 Alexander Larsson <alexl@redhat.com> - 0.105-2.1E
- RHEL build

* Thu Sep 30 2004 Alexander Larsson <alexl@redhat.com> - 0.105-2
- Rebuild with corrected icon-slicer to fix attach point order.

* Thu Sep 30 2004 Alexander Larsson <alexl@redhat.com> - 0.105-1
- Fix attach points for folders (#110606)

* Wed Sep 29 2004 Alexander Larsson <alexl@redhat.com> - 0.104-1.1E
- rhel build

* Wed Sep 29 2004 Alexander Larsson <alexl@redhat.com> - 0.104-1
- Fix msword icon name (#134038)

* Mon Sep 27 2004 Alexander Larsson <alexl@redhat.com> - 0.103-1.1E
- rhel build

* Thu Sep 23 2004 Chris Lee <clee@redhat.com> - 0.103-1
- Fixes for the Qt style

* Wed Sep 22 2004 Matthias Clasen <mclasen@redhat.com> - 0.102-1
- Improve drawing of expanders

* Wed Sep 15 2004 Alexander Larsson <alexl@redhat.com> - 0.101-2.1E
- rhel build

* Wed Sep 15 2004 Alexander Larsson <alexl@redhat.com> - 0.101-2
- Change the way we modify the background color

* Tue Sep 14 2004 Alexander Larsson <alexl@redhat.com> - 0.101-1
- Fix gnome cd audio icon (#119288)

* Tue Sep 14 2004 Alexander Larsson <alexl@redhat.com> - 0.100-1
- Fix gtk BiDi issues (#85234)

* Mon Sep 13 2004 Alexander Larsson <alexl@redhat.com> - 0.99-1
- Fix rtl icons (#128721)
- Don't use the iconrc anymore

* Tue Aug 24 2004 Alexander Larsson <alexl@redhat.com> - 0.98-1
- Fix xmms theme on multiarch

* Thu Aug 19 2004 Alexander Larsson <alexl@redhat.com> - 0.97-4
- Drop perl dependency in post

* Thu Aug 19 2004 Alexander Larsson <alexl@redhat.com> - 0.97-3
- Add required prereqs for post (#125278)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jun 14 2004 Chris Lee <clee@redhat.com> 0.97-1
- Fix reversed printer-broken and printer-default icons

* Tue Apr 20 2004 Alexander Larsson <alexl@redhat.com> 0.96-1
- Add a few icons, including the visiting folder icon used in nautilus

* Tue Apr  6 2004 Alex Larsson <alexl@redhat.com> 0.95-3
- silence grep in post

* Mon Apr 05 2004 Than Ngo <than@redhat.com> 0.95-2
- get rid of requires qt, bug #115471

* Tue Mar 23 2004 Alexander Larsson <alexl@redhat.com> 0.95-1
- update to 0.95, fix logos to be in redhat-logos

* Wed Mar 17 2004 Alexander Larsson <alexl@redhat.com> 0.94-1
- update to 0.94

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar  2 2004 Alexander Larsson <alexl@redhat.com> 0.93-1
- Fix shuttle in cursor theme
- Remove redhat-main-menu icon
- Rename redhat-config-* icons to system-config-*
- Fix multihead issue in gtk2 theme

* Mon Feb 16 2004 Than Ngo <than@redhat.com> 0.92-1
- 0.92, fixed middle clicked on maximal and button double click on menu button

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 12 2004 Than Ngo <than@redhat.com> 0.91-1 
- rebuild against qt 3.3.0
- add qt-3.3 in library path

* Mon Jan 26 2004 Than Ngo <than@redhat.com> 0.90-1 
- some changes in kwin to get building with KDE 3.2 RC1

* Wed Dec 10 2003 Than Ngo <than@redhat.com> 0.89-1
- Ported BlueCurve for working in KDE 3.2

* Thu Oct 30 2003 Jonathan Blandford <jrb@redhat.com> 0.88-1
- gdm fixes

* Tue Oct 28 2003 Owen Taylor <otaylor@redhat.com> 0.87-1
- New version with fixed gtk-2.0/iconrc file, symlinks instead of 
  copies for icon aliases

* Tue Oct 28 2003 Alexander Larsson <alexl@redhat.com> 0.86-1
- Add Bluecurve-classic metacity theme
- Add missing KDE icons
- Add BerriesAndCream Gtk+ theme color

* Wed Oct 22 2003 Bill Nottingham <notting@redhat.com> 0.85-2
- spec file tweaks

* Wed Oct 15 2003 Alexander Larsson <alexl@redhat.com> 0.85-1
- fix icons in gtk theme

* Thu Oct  9 2003 Jonathan Blandford <jrb@redhat.com> 0.84-1
- new greeter theme

* Thu Oct  9 2003 Alexander Larsson <alexl@redhat.com> 0.83-1
- added missing translations

* Wed Oct  8 2003 Alexander Larsson <alexl@redhat.com> 0.82-1
- Icon fixes

* Thu Aug 28 2003 Alexander Larsson <alexl@redhat.com> 0.81-1
- kwin fix
- metacity theme changes
- small menu icons again

* Wed Aug 20 2003 Alexander Larsson <alexl@redhat.com> 0.80-1
- kwin fix

* Mon Aug 18 2003 Alexander Larsson <alexl@redhat.com> 0.79-1
- fix qt theme and kwin theme

* Fri Aug  8 2003 Alexander Larsson <alexl@redhat.com> 0.78-1
- Fix gtk2 theme crash (#100507)
- Add buildrequires (#90530, #83161)
- Fix ogg static (#100918)
- Add gtk theme color schemes (#81316)

* Thu Jul 17 2003 Havoc Pennington <hp@redhat.com> 0.77-1
- 0.77

* Thu Jul 10 2003 Havoc Pennington <hp@redhat.com> 0.75-1
- 0.76

* Wed Jul  9 2003 Havoc Pennington <hp@redhat.com> 0.75-1
- 0.75

* Mon Jul  7 2003 Alexander Larsson <alexl@redhat.com> 0.74-1
- 0.74, gtk+ theme optimization

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Wed Feb 26 2003 Havoc Pennington <hp@redhat.com> 0.73-1
- 0.73 fixes 800x600 and theme thumbnail

* Mon Feb 24 2003 Havoc Pennington <hp@redhat.com> 0.72-1
- 0.72 with new music

* Mon Feb 24 2003 Havoc Pennington <hp@redhat.com> 0.71-1
- 0.71 tweaks

* Mon Feb 24 2003 Havoc Pennington <hp@redhat.com> 0.70-1
- 0.70 hopefully closes the last few blockers and doesn't break anything...

* Fri Feb 21 2003 Jonathan Blandford <jrb@redhat.com> 0.69-1
- 0.69 fixes cursors and adds animated watch glass

* Tue Feb 18 2003 Havoc Pennington <hp@redhat.com> 0.68-1
- 0.68 moves an image to redhat-logos

* Mon Feb 17 2003 Havoc Pennington <hp@redhat.com> 0.67-1
- 0.67

* Sat Feb 15 2003 Than Ngo <than@redhat.com> 0.66-1
- 0.66, fix several qt theme problems

* Wed Feb 12 2003 Alexander Larsson <alexl@redhat.com> 0.65-1
- 0.65, than fixed kde icon theme

* Fri Feb  7 2003 Jonathan Blandford <jrb@redhat.com> 0.64-1
- new version.  New cursors

* Thu Jan 30 2003 Alexander Larsson <alexl@redhat.com>
- 0.63, Qt theme updated

* Mon Jan 27 2003 Havoc Pennington <hp@redhat.com>
- 0.62

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 21 2003 Havoc Pennington <hp@redhat.com>
- 0.61, we needed to set LANG while making the distribution

* Tue Jan 21 2003 Havoc Pennington <hp@redhat.com>
- set LANG to an ISO-8859-1 locale so intltool won't get confused

* Fri Jan 17 2003 Havoc Pennington <hp@redhat.com>
- 0.60 with the cursors

* Tue Jan 14 2003 Havoc Pennington <hp@redhat.com>
- 0.59

* Fri Jan 10 2003 Havoc Pennington <hp@redhat.com>
- 0.57 with stock icons
- 0.58 with stock icons really

* Thu Jan  9 2003 Alexander Larsson <alexl@redhat.com>
- 0.56

* Thu Jan  9 2003 Alexander Larsson <alexl@redhat.com>
- 0.55

* Wed Jan  8 2003 Havoc Pennington <hp@redhat.com>
- 0.54

* Sat Jan  4 2003 Jeff Johnson <jbj@redhat.com> 0.53-2
- use internal dep generator.

* Fri Dec 20 2002 Than Ngo <than@redhat.com> 0.53-1
- 0.53

* Wed Dec 18 2002 Than Ngo <than@redhat.com> 0.50-1
- fix a bug in kwin plugin, crash on clicking menu button

* Tue Dec 17 2002 Tim Powers <timp@redhat.com> 0.49-4
- rebuild
- don't use rpm's internal dep gen

* Mon Dec  9 2002 Tim Powers <timp@redhat.com> 0.49-3
- rebuild

* Wed Dec  4 2002 Tim Powers <timp@redhat.com> 0.49-2
- rebuild

* Tue Nov 19 2002 Than Ngo <than@redhat.com>
- 0.49, add search path for plugins, fix conflict with qt 3.1.0

* Tue Nov 12 2002 Havoc Pennington <hp@redhat.com>
- install to qt-3.0.5 as temporary workaround

* Fri Nov  8 2002 Jeremy Katz <katzj@redhat.com>
- rebuild for new gtk2 engine paths

* Thu Sep  5 2002 Havoc Pennington <hp@redhat.com>
- 0.47 with gdm translations restored

* Thu Sep  5 2002 Havoc Pennington <hp@redhat.com>
- 0.46

* Tue Sep  3 2002 Havoc Pennington <hp@redhat.com>
- 0.45 (updates some icons, COPYING)

* Tue Sep  3 2002 Havoc Pennington <hp@redhat.com>
- 0.44

* Tue Sep  3 2002 Than Ngo <than@redhat.com>
- 0.42 with some new icons and XIMInputStyle fix for Qt

* Fri Aug 30 2002 Havoc Pennington <hp@redhat.com>
- 0.41 with new kwin, new logout/exit/etc. icons

* Fri Aug 30 2002 Havoc Pennington <hp@redhat.com>
- 0.40 with lots of new icons, splash, etc.

* Mon Aug 19 2002 Havoc Pennington <hp@redhat.com>
- 0.38 with new icons

* Fri Aug 16 2002 Owen Taylor <otaylor@redhat.com>
- 0.37, with UTF-8 fixes for bluecurve.xml

* Fri Aug 16 2002 Havoc Pennington <hp@redhat.com>
- 0.35 with more icons

* Wed Aug 14 2002 Havoc Pennington <hp@redhat.com>
- 0.33 with KDE trash and menu icon

* Wed Aug 14 2002 Havoc Pennington <hp@redhat.com>
- put missing icons in Makefile

* Wed Aug 14 2002 Alexander Larsson <alexl@redhat.com>
- 0.31, greeter theme fixes, gtk+ fixes, icon changes

* Tue Aug 13 2002 Alexander Larsson <alexl@redhat.com>
- 0.30, Fixed bad gkt+ theme memory and pixmap leak

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 0.29 with fixed gdm theme

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 0.28 with new gdm stuff and icons and so forth

* Fri Aug  9 2002 Havoc Pennington <hp@redhat.com>
- 0.26 with Bluecurve name
- 0.27 with Bluecurve name (fixed)

* Wed Aug  7 2002 Havoc Pennington <hp@redhat.com>
- 0.24 with nautilus theme, placeholders for some app icons
- 0.25 with aliases for home icon (bug 67791) and some new icons

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- 0.23 move metacity themes

* Sat Aug  3 2002 Havoc Pennington <hp@redhat.com>
- 0.22 xmms theme

* Thu Aug  1 2002 Havoc Pennington <hp@redhat.com>
- 0.21 move ksplash stuff to right place
- add QTDIR hack

* Wed Jul 31 2002 Havoc Pennington <hp@redhat.com>
- 0.20

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- 0.19, some assorted fixes from people

* Fri Jul 19 2002 Alexander Larsson <alexl@redhat.com> 0.17-1
- 0.17 moved gtkrc inside tarball. conflict with gtk-engines < 0.11-13
- Install default gtkrc files for gtk1 and gtk2

* Fri Jul 19 2002 Alexander Larsson <alexl@redhat.com> 0.16-1
- Bump version. Has new gtk1 theme fixes.

* Wed Jul 17 2002 Owen Taylor <otaylor@redhat.com>
- Bump version number, tag, do a formal distcheck

* Tue Jul 16 2002 Than Ngo <than@redhat.com> 0.14-3
- don't remove qtrc
- added conflict with qt < 3.0.4-11

* Tue Jul 16 2002 Havoc Pennington <hp@redhat.com>
- adjust file list again, we want to err on the side of 
  owning more directories. It doesn't hurt anything 
  to do so, and you may install this package 
  without installing kde or metacity first.
  There's no prereqs on those. Owning more dirs means 
  we don't get orphaned directories.

* Tue Jul 16 2002 Alexander Larsson <alla@lysator.liu.se> 0.14-1
- New gtk+ theme changes

* Tue Jul 16 2002 Than Ngo <than@redhat.com> 0.13-1
- 0.13
- add qt resource into redhat-artwork

* Wed Jul  3 2002 Than Ngo <than@redhat.com> 0.12-1
- more fixes to qt theme
- Wonderland kwin theme
- fixup specfile

* Mon Jul  1 2002 Than Ngo <than@redhat.com> 0.11-1
- more fixes to qt theme
- added Wonderland colorscheme for KDE

* Fri Jun 28 2002 Alex Larsson - contractor <alexl@redhat.com>
- New version 0.10, further fixes to the gtk+ theme

* Thu Jun 27 2002 Owen Taylor <otaylor@redhat.com>
- Remove backwards-compat patch so it works with the current 
  metacity in the tree

* Tue Jun 25 2002 Owen Taylor <otaylor@redhat.com>
- New version including GDM placeholder theme

* Wed Jun 19 2002 Havoc Pennington <hp@redhat.com>
- 0.7

* Mon Jun 17 2002 Havoc Pennington <hp@redhat.com>
- remove empty AUTHORS and COPYING files

* Thu Jun 13 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu Jun 13 2002 Havoc Pennington <hp@redhat.com>
- prereq /usr/lib/qt3

* Thu Jun 13 2002 Havoc Pennington <hp@redhat.com>
- autoreq 0 to avoid pointless dependencies
- own directories again except not the qt3 symlink

* Thu Jun 13 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.6-2
- tidy up URL, source list
- don't include qtrc for now
- don't own so many directories

* Wed Jun 12 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun 12 2002 Havoc Pennington <hp@redhat.com>
- 0.6, with Qt theme

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- 0.5

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- 0.4
- fix group

* Mon Jun 03 2002 Havoc Pennington <hp@redhat.com>
- fix gtkrc

* Mon Jun 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon Jun 03 2002 Havoc Pennington <hp@redhat.com>
- build requires gtk2-devel
- include a gtkrc to set default theme to Wonderland

* Mon Jun 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon Jun  3 2002 Havoc Pennington <hp@redhat.com>
- 0.3
- no longer noarch

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 10 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 10 2002 Havoc Pennington <hp@redhat.com>
- fix gtk theme location

* Fri May 10 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May  9 2002 Havoc Pennington <hp@redhat.com>
- initial build

